Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.ctmc
Class ProbInAWTGamma

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.ctmc.ProbInAWTGamma

All Implemented Interfaces:
  ProbInAWT

    public class ProbInAWTGamma

extends Object
implements ProbInAWT

Computes information on the conditional distribution of the waiting time in the case of a random horizon.

Constructor Summary
`ProbInAWTGamma()`

Method Summary
`double` | `getAWT()` Returns the currently used acceptable waiting time.
`double` | `getExpectedWaitingTime(int delta)` Returns the expected waiting time for a contact having spent `delta` transitions in queue.
`double` | `getExpectedWaitingTimeGTAWT(int delta)` Returns the expected waiting time conditional that the waiting time is greater than the acceptable waiting time, for a contact having spent `delta` transitions into the queue.
`double` | `getJumpRate()` Returns the currently used transition rate.
`int` | `getNumTransitions()` Returns the currently used number of transitions.
`double` | `getProbInAWT(int delta)` Returns the probability that the waiting time of a contact having spent `delta` transitions in the queue is smaller than the current acceptable waiting time.
`double` | `getTimeHorizon()` Returns the currently used time horizon.
`void` | `init(double awt1, double jumpRate1, double timeHorizon1, int numTransitions)` Initializes this object with a new acceptable waiting time, transition rate, time horizon, and number of transitions.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProbInAWTGamma

    public ProbInAWTGamma()

Method Detail

### getProbInAWT

    public double getProbInAWT(int delta)

  Description copied from interface: `ProbInAWT`
  Returns the probability that the waiting time of a contact having spent `delta` transitions in the queue is smaller than the current acceptable waiting time.

  Specified by:
    `getProbInAWT` in interface `ProbInAWT`
  Parameters:
    `delta` - the number of transitions spent in queue by the contact.
  Returns:
    the probability of the waiting time being smaller than the threshold.

### getExpectedWaitingTime

    public double getExpectedWaitingTime(int delta)

  Description copied from interface: `ProbInAWT`
  Returns the expected waiting time for a contact having spent `delta` transitions in queue.

  Specified by:
    `getExpectedWaitingTime` in interface `ProbInAWT`
  Parameters:
    `delta` - the number of transitions spent in queue.
  Returns:
    the expected waiting time.

### getExpectedWaitingTimeGTAWT

    public double getExpectedWaitingTimeGTAWT(int delta)

  Description copied from interface: `ProbInAWT`
  Returns the expected waiting time conditional that the waiting time is greater than the acceptable waiting time, for a contact having spent `delta` transitions into the queue.

  Specified by:
    `getExpectedWaitingTimeGTAWT` in interface `ProbInAWT`
  Parameters:
    `delta` - the number of transitions spent into the queue.
  Returns:
    the expected waiting time.

### getAWT

    public double getAWT()

  Description copied from interface: `ProbInAWT`
  Returns the currently used acceptable waiting time.

  Specified by:
    `getAWT` in interface `ProbInAWT`
  Returns:
    the acceptable waiting time.

### getJumpRate

    public double getJumpRate()

  Description copied from interface: `ProbInAWT`
  Returns the currently used transition rate.

  Specified by:
    `getJumpRate` in interface `ProbInAWT`
  Returns:
    the transition rate.

### getNumTransitions

    public int getNumTransitions()

  Description copied from interface: `ProbInAWT`
  Returns the currently used number of transitions.

  Specified by:
    `getNumTransitions` in interface `ProbInAWT`
  Returns:
    the current number of transitions.

### getTimeHorizon

    public double getTimeHorizon()

  Description copied from interface: `ProbInAWT`
  Returns the currently used time horizon.

  Specified by:
    `getTimeHorizon` in interface `ProbInAWT`
  Returns:
    the time horizon.

### init

    public void init(double awt1,
                     double jumpRate1,
                     double timeHorizon1,
                     int numTransitions)

  Description copied from interface: `ProbInAWT`
  Initializes this object with a new acceptable waiting time, transition rate, time horizon, and number of transitions.

  Specified by:
    `init` in interface `ProbInAWT`
  Parameters:
    `awt1` - the new acceptable waiting time.
    `jumpRate1` - the new transition rate.
    `timeHorizon1` - the new time horizon.
    `numTransitions` - the new number of transitions.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.